_GPPortSettings Union Reference

Union of port settings. More...

`#include <gphoto2-port.h>`

Collaboration diagram for _GPPortSettings:
[legend]

## Data Fields

GPPortSettingsSerial | serial
| Serial specific settings.
GPPortSettingsUSB | usb
| USB specific settings.
GPPortSettingsUsbDiskDirect | usbdiskdirect
| usb disk direct port specific settings
GPPortSettingsUsbScsi | usbscsi
| usb scsi port specific settings

## Detailed Description

Union of port settings.

This contains a shared union of possible settings for ports needing them.

The documentation for this union was generated from the following file:

- libgphoto2_port/gphoto2/gphoto2-port.h